/*
 *  GOL - Game of life simulation software
 *  Copyright (C) 1996 Michael Raymond Brown
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  Author: Michael Raymond Brown
 *  EMail:  michael@arrakeen.demon.co.uk
 *  WWW:    http://www.arrakeen.demon.co.uk/
 *  Address:  Michael Brown
 *            Kia Ora
 *            Brook Street
 *            Great Bromley
 *            Nr Colchester
 *            Essex
 *            CO7 7HX
 *            England
 */


#ifndef _tmRowCol_h
#define _tmRowCol_h

#ifdef __GNUC__
#pragma interface
#endif


#include "Widget.h"
#include <Xm/RowColumn.h>

class xwmRowCol : public xwWidget
   {protected:
	inline xwmRowCol() { }

    public:
	enum {horizontal=0x0, vertical=0x1
	     ,pack_column=0x0, pack_tight=0x2};

	xwmRowCol(xwWidget* p, int o, int lines
		, int x1, int y1, int x2, int y2);
	xwmRowCol(xwWidget* p, int o, int lines);
	~xwmRowCol();
   };

#endif

